Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoRemoteClass

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>
              com.nativelibs4java.mono.MonoRemoteClass

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>>

Direct Known Subclasses:
  MonoRemoteClass.ByReference, MonoRemoteClass.ByValue

    public class MonoRemoteClass

extends Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>

native declaration : mono\metadata\class.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoRemoteClass.ByReference`
`static class` | `MonoRemoteClass.ByValue`

Field Summary
`MonoLibrary.MonoVTable` | `default_vtable`
`int` | `interface_count`
`MonoLibrary.MonoClass[]` | `interfaces`
`MonoLibrary.MonoClass` | `proxy_class`
`ByteByReference` | `proxy_class_name`
`MonoLibrary.MonoVTable` | `xdomain_vtable`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoRemoteClass()`
`MonoRemoteClass(MonoLibrary.MonoVTable default_vtable, MonoLibrary.MonoVTable xdomain_vtable, MonoLibrary.MonoClass proxy_class, ByteByReference proxy_class_name, int interface_count, MonoLibrary.MonoClass[] interfaces)`

Method Summary
`protected MonoRemoteClass.ByReference` | `newByReference()`
`protected MonoRemoteClass.ByValue` | `newByValue()`
`protected MonoRemoteClass` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### default_vtable

    public MonoLibrary.MonoVTable default_vtable

### xdomain_vtable

    public MonoLibrary.MonoVTable xdomain_vtable

### proxy_class

    public MonoLibrary.MonoClass proxy_class

### proxy_class_name

    public ByteByReference proxy_class_name

### interface_count

    public int interface_count

### interfaces

    public MonoLibrary.MonoClass[] interfaces

Constructor Detail

### MonoRemoteClass

    public MonoRemoteClass()

### MonoRemoteClass

    public MonoRemoteClass(MonoLibrary.MonoVTable default_vtable,
                           MonoLibrary.MonoVTable xdomain_vtable,
                           MonoLibrary.MonoClass proxy_class,
                           ByteByReference proxy_class_name,
                           int interface_count,
                           MonoLibrary.MonoClass[] interfaces)

Method Detail

### newByReference

    protected MonoRemoteClass.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>`

### newByValue

    protected MonoRemoteClass.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>`

### newInstance

    protected MonoRemoteClass newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoRemoteClass,MonoRemoteClass.ByValue,MonoRemoteClass.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD